Summary:	The skeleton package which defines a simple Mageia Linux system
Name:		basesystem
Epoch:		1
Version:	9
Release:	%mkrel 0.1
License:	GPL
Group:		System/Base
Requires:	kernel basesystem-minimal
Recommends:	dnf
Recommends:	urpmi
Requires:	systemd
%ifnarch %arm %mips aarch64
Requires:	bootloader
%endif
Requires:	rpm-plugin-syslog rpm-plugin-systemd-inhibit

%package minimal
Summary:	The skeleton package which defines a simple minimal Mageia Linux system
Group:		System/Base

#Requires:	locales
Requires:	initscripts kbd utempter chkconfig
Requires:	chkconfig crontabs makedev logrotate
Requires:	less
Requires:	iproute2
Requires:	sash termcap
Requires:	cronie
Requires:	kmod
Requires:	basesystem-minimal-core

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%package minimal-core
Summary:	The skeleton package which defines a simple Mageia Linux system for chroot systems
Group:		System/Base

Requires:	setup filesystem sed
Requires:	coreutils etcskel findutils grep gzip
Requires:	passwd procps
Requires:	hostname
Requires:	psmisc rootfiles rpm shadow-utils
Requires:	stat tar time util-linux vim
# (tmb) give dnf a clue
Recommends:	vim-minimal
Requires:	which common-licenses
Requires:	mageia-release >= 1

# (gb) Add timezone database here for now before moving it to DrakX
Requires:	timezone

%package container
Summary:	The skeleton package which defines a simple Mageia Linux system to be run as a container
Group:		System/Base
# uml flavor is gone, container variant replaces it
Obsoletes:	basesystem-uml < 1:8-0.4
Requires:	basesystem-minimal-core
Recommends:	microdnf

%description
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.
The difference with basesystem-minimal is that it includes systemd, the kernel
and the boot loader as well as recommending urpmi.

%description minimal
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.
Especially it doesn't include the kernel.
It's basically basesystem-minimal-core plus the boot scripts & the tools they
need.

%description minimal-core
Basesystem defines the components of a very basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

%description container
Basesystem defines the components of a basic Mageia Linux system (for
example, the package installation order to use during bootstrapping).
Basesystem should be the first package installed on a system, and it
should never be removed.

This package can be used to setup a full and working system running
in a container.
It's basically basesystem-minimal-core plus recommending microdnf.

%files
%files minimal
%files minimal-core
%files container



%changelog
* Thu Jun 09 2022 tv <tv> 1:9-0.1.mga9
+ Revision: 1863731
- Bump the version to 9
- Explain the differences between the variants

* Tue Mar 15 2022 umeabot <umeabot> 1:8-0.5.mga9
+ Revision: 1792767
- Mageia 9 Mass Rebuild

* Thu Apr 16 2020 ngompa <ngompa> 1:8-0.4.mga8
+ Revision: 1567792
- Rework minimal variant to split out minimal-core
- Add container variant
- Add recommends for dnf and microdnf for the appropriate variants
+ wally <wally>
- drop old conflicts

* Tue Apr 14 2020 tv <tv> 1:8-0.3.mga8
+ Revision: 1567279
- do not requires perl-base
- no need to require e2fsprogs, drakx installs it automatically
- move requires on rpm-plugin-syslog rpm-plugin-systemd-inhibit out of minimal

* Sat Feb 15 2020 umeabot <umeabot> 1:8-0.2.mga8
+ Revision: 1526669
- Mageia 8 Mass Rebuild
+ tmb <tmb>
- rebuild for Cauldron

* Mon Jun 17 2019 tmb <tmb> 1:7-1.mga7
+ Revision: 1400160
- prep for release

* Fri Sep 21 2018 umeabot <umeabot> 1:7-0.4.mga7
+ Revision: 1295344
- Mageia 7 Mass Rebuild

* Sat May 12 2018 tv <tv> 1:7-0.3.mga7
+ Revision: 1228632
- revert requires on locales, this prevent building locales for a new glibc
  the affected pkgs should requires "locales" themselves

* Tue May 01 2018 wally <wally> 1:7-0.2.mga7
+ Revision: 1224174
- require locales in basesystem-minimal to get C.UTF-8 support by default
- don't require bootloader on aarch64

* Mon Aug 14 2017 tv <tv> 1:7-0.1.mga7
+ Revision: 1140271
- bump version
- make sure we install rpm-plugin-syslog rpm-plugin-systemd-inhibit

* Mon May 30 2016 tv <tv> 1:6-0.4.mga6
+ Revision: 1019508
- restore urpmi requires for container's basesystem + enhance descr

* Mon May 30 2016 ngompa <ngompa> 1:6-0.3.mga6
+ Revision: 1019487
- Downgrade urpmi requirement to recommendation in basesystem-uml to match basesystem

* Wed Mar 16 2016 tmb <tmb> 1:6-0.2.mga6
+ Revision: 992070
- restore old behaviour of installing vim on basesytem-minimal
- hit dnf with a clue stick so it knows what to do with vim
+ tv <tv>
- bump version

* Mon Mar 14 2016 luigiwalser <luigiwalser> 1:2-24.mga6
+ Revision: 990708
- basesystem-minimal should only require vim-minimal (not rely on prefer.vendor.list)

* Wed Feb 10 2016 umeabot <umeabot> 1:2-23.mga6
+ Revision: 953247
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1:2-22.mga6
+ Revision: 867407
- rebuild for mga6

* Wed Jan 14 2015 luigiwalser <luigiwalser> 1:2-21.mga5
+ Revision: 810712
- remove requires on mingetty, not needed since mga1 (we use agetty in util-linux)

* Wed Oct 15 2014 umeabot <umeabot> 1:2-20.mga5
+ Revision: 741380
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2-19.mga5
+ Revision: 678116
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Sep 08 2014 spuhler <spuhler> 1:2-18.mga5
+ Revision: 673821
- added the Requires: net-tools back, we neeed it
- changed Requires: net-tools to Requires: hostname
  * we have moved the commands from net-tools to hostname
    - in sync with Fedora and others

* Sat Nov 30 2013 tv <tv> 1:2-17.mga4
+ Revision: 554158
- requires instead of suggesting vim-minimal (mga#7019)

* Sat Oct 19 2013 umeabot <umeabot> 1:2-16.mga4
+ Revision: 523437
- Mageia 4 Mass Rebuild

* Mon Apr 22 2013 tv <tv> 1:2-15.mga3
+ Revision: 410771
- drop old shadow conversion in %%post as setup now package /etc/{g,}shadow

* Tue Apr 02 2013 dmorgan <dmorgan> 1:2-14.mga3
+ Revision: 407115
- Rebuild against fixed BS
- Move %%posttrans in minimal subpackage
- Rebuild with fixed BS
+ tv <tv>
- move /etc/*shadow creation from setup here (mga#9326)

* Tue Mar 26 2013 colin <colin> 1:2-11.mga3
+ Revision: 405409
- Require system-logger rather than syslog-daemon mga#8028

* Fri Jan 11 2013 umeabot <umeabot> 1:2-10.mga3
+ Revision: 346871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 02 2012 tv <tv> 1:2-9.mga3
+ Revision: 287220
- mount&loseteup requires are dup

* Tue Jun 12 2012 tv <tv> 1:2-8.mga3
+ Revision: 259958
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 1:2-7.mga3
+ Revision: 259280
- require kmod instead of module-init-tools

* Wed Jan 25 2012 tv <tv> 1:2-6.mga2
+ Revision: 200809
- suggest urpmi

* Mon Jan 16 2012 tmb <tmb> 1:2-5.mga2
+ Revision: 196772
- restore requires on systemd as it's needed for proper upgrade

* Sun Jan 15 2012 tmb <tmb> 1:2-4.mga2
+ Revision: 196536
- drop forced systemd as sysvinit/initscripts will be supported in Mageia 2
- drop buildroot

* Sat Sep 17 2011 tv <tv> 1:2-3.mga2
+ Revision: 144415
- suggests vim instead of requiring it

* Sat Sep 17 2011 tv <tv> 1:2-2.mga2
+ Revision: 144386
- still require base systemd

* Wed Sep 14 2011 tv <tv> 1:2-1.mga2
+ Revision: 143461
- bump version
- requires sysvinit instead of systemd-sysvinit so that we got choice through
  kernel command line

* Tue Sep 13 2011 tv <tv> 1:1-4.mga2
+ Revision: 143068
- require systemd-sysvinit instead of sysvinit in order to got more testing
- move syslog-daemon & sysvinit requires from basesystem-minimal into
  basesystem & basesystem-uml (uneeded for building packages & the like)

* Tue Apr 12 2011 dmorgan <dmorgan> 1:1-3.mga1
+ Revision: 83504
- Fix Requires on cronie
+ rtp <rtp>
- disable for now bootloader require on arm/mips

* Mon Jan 17 2011 pterjan <pterjan> 1:1-2.mga1
+ Revision: 21169
- Set Epoch tag
- Revert, Epoch 1 is enough already, but bs ignore it
- Increase Epoch to be higher than Mandriva version
+ blino <blino>
- require makedev instead of dev
+ tmb <tmb>
- imported package basesystem

